Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Adobe AIR Development

Reply
Visitor
Posts: 1
Registered: ‎01-17-2013
My Device: Playbook

lack of current AIR support will hurt BB10

Hi,

 

I'm a developer interested in porting my AIR apps to BB10. Blackberry would be included with the others that I'm targeting from AIR, but the problem is, I'm using the latest AIR features for performance (3.5 currently). I can say that without the ability to target the current version of AIR, including BB in my crossplatform development won't happen. It'd take too much work  (not cost effective) to port and user experience isn't as good (AIR performance gets better with each release). Allowing a captive runtime like Android does would solve this problem and remove Blackberry as the bottleneck in the process.

 

AIR is not a mature enough technology to let it stagnate for several versions. 3.1 is ancient. Building an app on 3.1 at this point would be a dead-end on other platforms. AIR is rapidly evolving and staying on top of it is necessary for my apps to be competetive. I can target iOS, Android, Kindle and Nook and would like to include BB but can't realistically do so.

 

I registered just to say this.

Developer
Posts: 439
Registered: ‎10-25-2010
My Device: Not Specified

Re: lack of current AIR support will hurt BB10

[ Edited ]

Same here.

 

All our old apps are being ported over, but all future apps and games are being built on top of Stage3D, meaning BB10 support is off the table.

 

We will have a large suite of awesome apps and games, ready to go with the push of a button, as soon as RIM is kind enough to upgrade the AIR runtime.

Developer
Posts: 508
Registered: ‎01-19-2011
My Device: My Trusty Red Plane

Re: lack of current AIR support will hurt BB10

same here. As an AIR dev in my private time, I'm currently shifting over to Android (and soon enough to iOS, too), seeing the support of AIR on BlackBerry is more than lacking. If I remember correctly, AIR 3.2 (Stage3D) was promised to us in Summer 2012, but nothing happened, even until now :/

-----------------------------------------------------------------------
I'm a bird from outer space. But I'm not flappy o.o
Developer
Posts: 1,033
Registered: ‎12-29-2010
My Device: PlayBook, Z10 LE, Dev Alpha C

Re: lack of current AIR support will hurt BB10

+1.  Platform choice is the RIM sales pitch to devs.  

 

The sales pitch works best when it is true in spades.

Developer
Posts: 6,541
Registered: ‎10-27-2010
My Device: HTC One, PlayBook, LE Z10, DE Q10

Re: lack of current AIR support will hurt BB10

3.4/3.5 is being ported over after BB10 is released. They are now trying to catch back up after most of the effort was placed in NDK/Cascades/WebWorks.
New Contributor
Posts: 7
Registered: ‎01-28-2013
My Device: Curve

Re: lack of current AIR support will hurt BB10

We ask in Adobe Air Labs about update runtime for BB10 SDK, they dind't response yet, we also see BB10 for a virtual big change now.

 

Not is good to compile in FB4.7 with AIR 3.5 and force in the command line to compile under AIR 3.1.

 

 

Developer
Posts: 271
Registered: ‎01-21-2013
My Device: BB10 Dev Aplha

Re: lack of current AIR support will hurt BB10

Definately new AIR versions will improve the performance and also add new features. Looking forward for AIR 3.5 support.

Developer
Posts: 6,541
Registered: ‎10-27-2010
My Device: HTC One, PlayBook, LE Z10, DE Q10

Re: lack of current AIR support will hurt BB10

This has been discussed many times in other threads. RIM has said that it is on their road map to bring AIR 3.4/3.5 to the platform. It will probably be late spring before we see it. I will see what can be found out at JAM Europe next week.
New Contributor
Posts: 7
Registered: ‎01-28-2013
My Device: Curve

Re: lack of current AIR support will hurt BB10

Hi, John, please share with us any new news, and if they have a date to involve the runtimes. If they will upgrade why not jump direct around 4.6?

Developer
Posts: 6,541
Registered: ‎10-27-2010
My Device: HTC One, PlayBook, LE Z10, DE Q10

Re: lack of current AIR support will hurt BB10

4.6? 4.6/4.7 is a Flash Builder version
3.4/3.5 is an AIR version.
Which are you talking about?